//
// Copyright 2021 Juan Palacios <jpalaciosdev@gmail.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// Distributed under the GPL version 3 or any later version.
//
#pragma once

#include "core/components/controls/controlmode.h"
#include <memory>
#include <string_view>
#include <utility>
#include <vector>

namespace AMD {

class PMPowerStateMode : public ControlMode
{
 public:
  static constexpr std::string_view ItemID{"AMD_PM_POWERSTATE_MODE"};

  PMPowerStateMode(std::vector<std::unique_ptr<IControl>> &&controls) noexcept
  : ControlMode(AMD::PMPowerStateMode::ItemID, std::move(controls), true)
  {
  }
};

} // namespace AMD
